#!/bin/ash
# $SLOC/Slocate-srch-all.sh # Purpose: search all of slocate's' file db's.
# musher0, 2015-02-19 & 20 (traduction).
# Usage: / Emploi : < slocate $1 >.
# Typing < slocate ¤ > (AltGr-5 on my keyboard) or < slocate > by itself
# brings up a help line. / Taper < slocate ¤ > (AltGr-5 sur mon clavier)
# ou seulement < slocate > fait apparaître une ligne d'aide.
#### # set -xe
SLOC="/root/my-applications/SLocate";FoUnD="";Found="";MOT="";MSSG="" # variables
cd $SLOC 

case ${LANG:0:2} in # Translations / Traductions
	fr)FoUnD="Trouvé dans";EXIT="Taper sur 'Retour' pour quitter"
	MOT="mot ou";Found="$FoUnD le système principal"
	MSSG="Terminé! Pour revoir les résultats, faites remonter la glissière à droite."
	;;
	*)FoUnD="Found in";EXIT="Hit 'Return' key to exit."
	MOT="word or";Found="$FoUnD Main System"
	MSSG="Finished! To review the results, move up the sliding bar to the right."
	;; esac

case ${LANG:0:2} in
	fr)echo -e "\e[1;36m\n\t Veuillez entrer le(s) mot(s) à chercher (peut être une expression rationnelle ['regex']).
\t   Vous pouvez quitter en tout temps en tapant Ctrl-C.
\t Si la liste s'arrête à une ligne 'more', 'Retour' affiche la ligne suivante;
\t   'Espace', l'écran suivant; 'Q' quitte; 'R' fait défiler le reste.\e[1;33m" ;;
	*)echo -e "\e[1;36m\n\t Please enter your search term(s) (can be a regular expression ['regex']).
\t   You can abort at any time by typing Ctrl-C.
\t When the listing stops at a 'more' line, press 'Enter' to see the next line;
\t   'Space' for the next screen; 'Q' to quit; 'R' to show the rest.\e[1;33m" ;; esac

AZ="";read AZ;case $AZ in
	¤|"")echo -e "\e[1A\e[1;33m\n\t\t\tUsage: slocate < $MOT expression >\n" ;;

	*)echo -e "\t\t\t$Found";sleep 1.5s
	slocate -q -d /var/lib/slocate/slocate.db -r "$AZ" | more
	for i in `mount | grep -v dev_save | grep sd | cut -d'/' -f3 | cut -d' ' -f1 | sort `
	do echo -e "\n\t\t\t$FoUnD /mnt/$i"
	   sleep 1.5s;cd /mnt/$i
	   slocate -q -d /mnt/$i/slocate-$i.db -r "$AZ" | more
	done
	echo -e "\n\t\t\t$FoUnD /mnt/home";sleep 1.5s
	slocate -q -d /mnt/home/slocate-home.db -r "$AZ" | more
	echo -e "\n\e[1;36m\t$MSSG\e[1;0m"
	sleep 2s;echo -e "\t\t     $EXIT"
	read;sleep 0.5s ;; esac # set +xe
