#!/bin/ash
# $SLOC/Slocate-updt-all-no-text.sh
# Called by $SLOC/auto-updatedb-slocate.sh
# Purpose : update slocate's' files databases (timed).
# musher0, 2015-02-09 et 2015-02-19
####
SLOC="/root/my-applications/SLocate";cd $SLOC

# Pour le système interne / For internal system
slocate -e /dev,/initrd,/lost+found,/proc./tmp -f iso9660 -l0 -u
# BdD créée par défaut dans | db created by default in
# /var/lib/slocate/slocate.db 

# Pour partitions externes / for external drives
for i in `mount | egrep -v 'dev_save|loop' | egrep sd | cut -d'/' -f3 | cut -d' ' -f1 | sort` # corrigé 24 févr. 2015
do cd /mnt/$i;slocate -U . -o ./slocate-$i.db;done
# Les BdD sont créées dans | created in /mnt/sd??/slocate-sd??.db

# Pour / For "/mnt/home"
cd /mnt/home;slocate -U . -o ./slocate-home.db
# BdD créée dans | created in /mnt/home/slocate-home.db

cd ~ # back to user home
