#!/bin/ash
# $MBINS/SLocate/Slocate-updt-all.sh
# Purpose : create|update slocate's' files databases.
# musher0, 2015-02-09, 20 et 22
#### # set -xe
molle (){
mount | egrep -v 'dev_save|loop' | egrep sd | cut -d'/' -f3 | cut -d' ' -f1
} # ;-)

a="`molle | wc -l`";a="`expr $a + 2`"
case ${LANG:0:2} in
	fr)EXIT="Taper sur 'Retour' pour quitter";RECREE="a été (re)bâti."
	NDXSSTM="L'index des fichiers système (/)";NDXSUR="L'index sur" ;;
	*)EXIT="Hit 'Return' key to exit.";RECREE="has been (re)built."
	NDXSSTM="The system files index (/)";NDXSUR="The index on";; esac

# avertissement / warning
case ${LANG:0:2} in
	fr)echo -e "\e[1;36m\n\t   Merci de patienter. Cela prend un petit moment :
\t    $a listes de fichiers sont en (re)construction.\n\n"
	;;
	*)echo -e "\e[1;36m\n\t       Please be patient, this takes a while:
\t\t$a files lists are being (re)built.\n\n" ;; esac

# Pour le système interne / For internal system
slocate -e /dev,/initrd,/lost+found,/proc./tmp -f iso9660 -l0 -u
echo -e "\e[1A\e[1;33m\t\t   $NDXSSTM
\t\t\t$RECREE\n"
# BdD créée par défaut dans | db created by default in
# /var/lib/slocate/slocate.db 

for i in `molle | sort`;do # Pour partitions externes / for external partitions
	cd /mnt/$i;slocate -U . -o ./slocate-$i.db
	echo -e "\e[1A\e[1;33m\t\t      $NDXSUR /mnt/$i  
\t\t\t$RECREE\n"
done # BdD créées dans | db's created in /mnt/sd??/slocate-sd??.db

cd /mnt/home;slocate -U . -o ./slocate-home.db # Pour / For "/mnt/home"
# BdD créée dans | created in /mnt/home/slocate-home.db
echo -e "\e[3A\t\t      $NDXSUR /mnt/home
\t\t\t$RECREE\n"

cd ~ # back to user home
case ${LANG:0:2} in
	fr)echo -e "\e[1;36m\t\t\t    Terminé! \e[1;0m" ;;
	*)echo -e "\e[1;36m\t\t\t    Finished! \e[1;0m" ;; esac
	
sleep 2s;echo -e "\t\t$EXIT"
read;sleep 0.5s # set +xe
