#!/bin/ash
### SrchFilesLst-02b.sh ###
# Launcher / Lanceur for Slocate-srch-all.sh
# Dépendances / Dependencies : 
# wmctrl (utility); visionner-avec-less4b.sh (script)
#
# (c) musher0, vers. orig. : Febr./févr. 16-17 & 20-21, 2015;
# v. 02b, 2015-10-11. # GPL2
####

# function
# Opens a "recipient" for CLI copy and paste operation from the 
# list provided by slocate. /
# Ouvre un "récipient" pour le copier-coller en ligne de commande
# à partir de la liste fournie par slocate.
coppaste (){
case ${LANG:0:2} in
	fr)A="
Si vous voulez lancer un élément de la liste de slocate
1) situé DANS le système principal :
-- surlignez toute la ligne avec votre souris de dr. à g.
-- relâchez-la dans la console avec le bouton du milieu
-- tapez sur la touche Retour.
2) situé AILLEURS que dans le système principal :
-- tapez le mot rox, un espace, puis /mnt/[partition]/
-- puis copiez-collez comme ci-dessus.
3) Si l'élément comprend des espaces :
-- Faites comme dans 2), 
-- copiez-collez comme dans 1), 
-- entourez l'élément de guillemets anglais (\") et
-- tapez sur la touche Retour. ---- Par exemple : 
rox /mnt/sdb1/\"Musique/Une Chanson.ogg\" - Retour -" ;;
	*)A="
If you wish to run any line from the slocate list that's
1) INSIDE the main system:
-- hilite the entire line with your mouse from right to left
-- drop it in the little console below with the middle button
-- hit the Enter key.
2) OUTSIDE the main system:
-- type the word rox, then space, then /mnt/[partition]/
-- copy and paste as above.
3) If the line contains spaces:
-- do as in 2),
-- copy and paste as in 1),
-- enclose the line between quotes (\") and
-- hit the Enter key. ---- For example: 
rox /mnt/sdb1/\"Music/A song.ogg\" - Enter -" ;;
esac
echo "$A" > /tmp/SiVoulez.txt
visionner-avec-less4b.sh /tmp/SiVoulez.txt &
urxvt -cd ~ -fn "xft:Monaco:pixelsize=11" -bg sienna4 -fg cornsilk +sr +st +tcw -bc -T Console-slocate -tr -tint white -sh 67 -bd firebrick4 -g 80x3+65+760 -cr white -b 4 &
}

case `ps | awk '$4=="slocate" { print $4 }'` in # Just in case... | En cas...
	"")SLOC="/root/my-applications/SLocate";cd $SLOC
	   case ${LANG:0:2} in
	     fr)TITR="Recherche dans toutes les bases de données" ;;
	     *)TITR="Searching in all databases" ;; 
	   esac
	   
	   coppaste &
	   
	   urxvt -T "      $TITR" -fn "xft:Monaco:pixelsize=12" -sr -fg snow -bg black -g 110x22+150+355 -e $SLOC/Slocate-srch-all.sh
	   # black # snow # DarkRed
	   
	   wmctrl -c "Console-slocate" &
	   kill -s 9 "`ps | awk '$4=="less" && $NF ~ /SiVoulez/ { print $1 }'`" ;;
	   
	slocate)case ${LANG:0:2} in
	    fr)MSSG="Les BdD sont en mode mise à jour automatique.
  Veuillez réessayer dans 2 ou 3 minutes. Merci." ;; 
	    *)MSSG="The db's are being updated at the moment.
  Please try again in a couple of minutes. Thanks." ;; 
		esac
	  yaf-splash -text "$MSSG" -fontsize medium -timeout 5 ;; 
	  # -bg sienna4 -fg snow -margin 15 -bg SlateGrey -fg snow
esac
